Validate OTP
curl --request GET \
--url https://api.dojah.io/api/v1/messaging/otp/validate \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/messaging/otp/validate"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/messaging/otp/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"valid": true
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Validate OTP
An end point that allows you to validate OTP
GET
/
api
/
v1
/
messaging
/
otp
/
validate
Validate OTP
Application ID from dashboard
Query parameter
OTP received from user
Reference ID to identify the OTP
RESPONSES
json
{
"entity": {
"valid": true
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I